import { IonicModule } from '@ionic/angular';
import { RouterModule } from '@angular/router';
import { NgModule,CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { ShareModule } from '@share/share.module';
import { EditFormModule } from '@widget/df/mob-form-form/mob-form-form.module';
import { RighttoolbarModule } from '@widget/df/mob-edit-viewrighttoolbar-toolbar/mob-edit-viewrighttoolbar-toolbar.module';
import {DFMobEditViewPage} from './dfmob-edit-view.page';


@NgModule({
  imports: [
    RouterModule.forChild([{ path: '', component: DFMobEditViewPage}])
  ],
  exports:[RouterModule]
})
export class DFMobEditViewRouteModule {}

@NgModule({
  imports: [
    IonicModule,
    CommonModule,
    FormsModule,
    ShareModule,
    DFMobEditViewRouteModule,
    EditFormModule,RighttoolbarModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [DFMobEditViewPage],
  entryComponents:[DFMobEditViewPage],
  exports:[DFMobEditViewPage]
})
export class DFMobEditViewModule {}

